Package org.lwjgl.util

# Interface ReadableRectangle

All Superinterfaces:
  `ReadableDimension`, `ReadablePoint`

All Known Implementing Classes:
  `Rectangle`

public interface ReadableRectangle extends ReadableDimension, ReadablePoint
Readonly interface for Rectangles

Version:
  $Revision$ $Id$
Author:
  $Author$

## Method Summary

Modifier and Type
Method
Description
`void`
`getBounds(WritableRectangle dest)`
Copy this readable rectangle's bounds into a destination Rectangle

### Methods inherited from interface org.lwjgl.util.ReadableDimension

`getHeight, getSize, getWidth`

### Methods inherited from interface org.lwjgl.util.ReadablePoint

`getLocation, getX, getY`

## Method Details

### getBounds

void getBounds(WritableRectangle dest)
Copy this readable rectangle's bounds into a destination Rectangle

Parameters:
  `dest` - The destination Rectangle, or null, to create a new Rectangle